Get lender API configuration
curl --request GET \
--url https://api.nextlevelmca.com/v1/lenders/{id}/api-config \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/lenders/{id}/api-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/lenders/{id}/api-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"lender_id": "<string>",
"submission_method": "email",
"funder_api_spec_id": "<string>",
"spec_display_name": "<string>",
"api_environment": "development",
"credentials_masked": "<string>",
"credential_fields": [
{
"key": "<string>",
"label": "<string>",
"secret": true,
"hint": "<string>"
}
],
"api_last_verified_at": "<string>",
"api_last_error": "<string>",
"capabilities": {
"polls": true,
"returns_offers": true,
"uploads_docs": true,
"sandbox": true,
"max_owners": 123
},
"tier": "A"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Lenders
Get lender API configuration
How the lender receives submissions (email or api), the funder integration, environment, masked credentials and the last connection test. Credentials are write-only.
GET
/
v1
/
lenders
/
{id}
/
api-config
Get lender API configuration
curl --request GET \
--url https://api.nextlevelmca.com/v1/lenders/{id}/api-config \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/lenders/{id}/api-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/lenders/{id}/api-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"lender_id": "<string>",
"submission_method": "email",
"funder_api_spec_id": "<string>",
"spec_display_name": "<string>",
"api_environment": "development",
"credentials_masked": "<string>",
"credential_fields": [
{
"key": "<string>",
"label": "<string>",
"secret": true,
"hint": "<string>"
}
],
"api_last_verified_at": "<string>",
"api_last_error": "<string>",
"capabilities": {
"polls": true,
"returns_offers": true,
"uploads_docs": true,
"sandbox": true,
"max_owners": 123
},
"tier": "A"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Was this page helpful?